Loading...
Searching...
No Matches
sdbus::function_traits< ReturnType(ClassType::*)(Args...) volatile > Struct Template Reference
Inheritance diagram for sdbus::function_traits< ReturnType(ClassType::*)(Args...) volatile >:

## Public Types

using | owner_type = volatile ClassType &
Public Types inherited from sdbus::function_traits_base< ReturnType, Args... >
using | result_type
using | arguments_type
using | decayed_arguments_type
using | function_type
using | arg_t

## Additional Inherited Members

Static Public Attributes inherited from sdbus::function_traits< ReturnType(Args...)>
static constexpr bool | is_async = false
static constexpr bool | has_error_param = false
Static Public Attributes inherited from sdbus::function_traits_base< ReturnType, Args... >
static constexpr std::size_t | arity

The documentation for this struct was generated from the following file:

- include/sdbus-c++/TypeTraits.h